Download it now!
Bug 72287 - [TEMPLATE MANAGER] [START CENTER] [UI] [A11Y] unable to scroll thumbnail view list with keyboard only for selecting available templates/documents in the thumbnail views
Summary: [TEMPLATE MANAGER] [START CENTER] [UI] [A11Y] unable to scroll thumbnail vie...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.2.0.0.beta1
Hardware: Other All
: highest major
Assignee: Andrzej Hunt
URL:
Whiteboard: Confirmed:4.2.0.0.beta2:Ubuntu confir...
Keywords: accessibility, regression
Depends on:
Blocks: Start-Center-Accessibility mab4.2
  Show dependency treegraph
 
Reported: 2013-12-03 21:40 UTC by Cor Nouws
Modified: 2016-10-25 19:51 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:


Attachments
silly-templates_fdo.72287.zip (Nonsense templates for test) (171.99 KB, application/zip)
2013-12-06 23:31 UTC, Robinson Tryon (qubit)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2013-12-03 21:40:09 UTC
When a folder with templates has more then two rows of files, using the Down key does not bring the templates at the third row (and more) in view.
(notice: the vertical scroll bar is much smaller then in 4.1.x)
Comment 1 Cor Nouws 2013-12-03 21:41:54 UTC
and was OK in 4.1
Comment 2 Cor Nouws 2013-12-03 21:44:05 UTC
worse: it's not even possible to open a template below the second row..
Comment 3 Robinson Tryon (qubit) 2013-12-06 23:30:45 UTC
(In reply to comment #0)
> When a folder with templates has more then two rows of files, using the Down
> key does not bring the templates at the third row (and more) in view.
> (notice: the vertical scroll bar is much smaller then in 4.1.x)

REPRO STEPS:
- Open LibreOffice
- File -> Templates -> Manage -> Documents

If you need some templates:
- Download and unzip attachment "silly-templates_fdo.72287.zip"
- Click on 'My Templates' and then on the 'Import' button
- Import all of the silly-templates (click "Open" to complete)

On with the repro:
- Double-click on 'My Templates'
- Shrink the window size down to make sure that you have at least 3 rows of templates
- Click on the first template in the first row
- Arrow-down to the third row

RESULT: window does not shift down to bring the 3rd row of templates into view


*HOWEVER*, I am able to select templates in the 3rd row, and if I hit the "Enter" key, I am able to open them up.

So, NOREPRO:
- Templates in 3rd+ row not selectable
- Templates in 3rd+ row not openable

REPRO Confirmed:
- Window does not shift down to bring rows 3+ into view

(tentatively tagging as Confirmed)
Comment 4 Robinson Tryon (qubit) 2013-12-06 23:31:39 UTC
Created attachment 90381 [details]
silly-templates_fdo.72287.zip (Nonsense templates for test)
Comment 5 Robinson Tryon (qubit) 2013-12-06 23:33:16 UTC
(Forgot to mention, I did my testing with LO 4.2.0.0.beta2 + Ubuntu 12.04.3)
Comment 6 Cor Nouws 2013-12-07 16:19:26 UTC
(In reply to comment #3)

> RESULT: window does not shift down to bring the 3rd row of templates into
> view
> 
> *HOWEVER*, I am able to select templates in the 3rd row, and if I hit the
> "Enter" key, I am able to open them up.

Yes, indeed. But only with the arrow keys I can select a template and only with Enter or the Open button, I can start a document.


> So, NOREPRO:
> - Templates in 3rd+ row not selectable
> - Templates in 3rd+ row not openable

Not with the mouse for me.
Normally I use the keyboard exclusively, but this dialog makes that hard. And now you have to use mixed mouse and key board.. :(

> REPRO Confirmed:
> - Window does not shift down to bring rows 3+ into view


And makes opening a new file from a template too hard IMO
Comment 7 Björn Michaelsen 2014-01-17 09:40:34 UTC Comment hidden (obsolete)
Comment 8 V Stuart Foote 2014-01-18 17:31:49 UTC
Seems like the issue here is that the frame holding the thumbnail view recognizes the number of thumbnails to be presented and responds displaying a vertical scroll bar (but no horizontal scroll). But, at present that vertical scroll bar does not respond to keyboard movements (it does for 4.1.x builds). Nor does it respond to the position of the thumbnail view object that has focus in the frame. So can only be exposed with mouse movements -- not meeting A11Y requirements.

Ideally would expect the focus active thumbnail to be centered vertically in the viewframe, unless it is in the last row. And that the view frame should scroll down or up in response to cursor movements between thumbnails.

This same inability to scroll with keyboard in Template Manager also affects the shared use of thumbnail view in the Start Center.

Confirming the same behavior on Windows OS, i.e. that I am able to select any template just have no keyboard only scroll function. Also that change in scrolling is a regression from the 4.1.x branches.

Adjusting title to behavior.
Comment 9 Commit Notification 2014-04-15 18:57:14 UTC
Andrzej Hunt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=717aa1ac75ddd54fdf72cd4de6551f1fb536da9b

fdo#72287 Scroll automatically to show selected item when keyboard used.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2014-04-16 10:27:24 UTC
Andrzej Hunt committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ed2d6ab389c169330f3c359463ce503eafcee253&h=libreoffice-4-2

fdo#72287 Scroll automatically to show selected item when keyboard used.


It will be available in LibreOffice 4.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 V Stuart Foote 2014-04-16 14:01:05 UTC
Verified in master in both Template manager and the Start Center
on Windows 7 sp1, 64bit with
Version: 4.3.0.0.alpha0+
Build ID: 087a79db1272858f107656c5ca3c6efb45680986
TinderBox: Win-x86@39, Branch:master, Time: 2014-04-16_01:43:37

Will check in a 4.2.5.0+ build when commit rolls into a TB-42 build.

Thanks Andrzej!
Comment 12 Robinson Tryon (qubit) 2015-12-18 09:13:44 UTC Comment hidden (obsolete)